Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.execution
[Java] Interface TaskActionListener

    public interface TaskActionListener

A `TaskWorkListener` is notified of the actions that a task performs.

Method Summary
`void` | `afterActions(Task task)` This method is called immediately after the task has completed performing its actions.
`void` | `beforeActions(Task task)` This method is called immediately before the task starts performing its actions.

Method Detail

### afterActions

    public void afterActions(Task task)

  This method is called immediately after the task has completed performing its actions.
  Parameters:
    `task` - The task which has performed some actions.

### beforeActions

    public void beforeActions(Task task)

  This method is called immediately before the task starts performing its actions.
  Parameters:
    `task` - The task which is to perform some actions.

Gradle API 1.10